import {ref} from "vue";
import store from '@/store';
import {listIsBlank, stringIsBlank} from "@/utils/blank-utils";
import {getFormatDatetime} from "@/utils/date";

const getRoles = store.state.user.info.roles

export function getNursingEditQuanXian() {
    return getRoles.indexOf(1) > -1 || getRoles.indexOf(12) > -1 || getRoles.indexOf(18)
}

/**
 * 医嘱状态
 * @param val
 * @returns {string}
 */
export function getStatusFlagHtml(val) {
    switch (val.statusFlag) {
        case '1':
            return `<span style="color: #05ff00">R</span>`
        case '2':
            return `<span style="color: #0000fb">Q</span>`
        case '3':
            return `<span style="color: #ff07f3">Z</span>`
        case '4':
            return `<span style="color: #ff07f3">Z</span>`
        case '5':
            return `<span style="color: red">T</span>`
        case '-1':
            return `<span style="color: #00ffe0">D</span>`
    }
}



